- args:
    functions:
      - function:
          name: search_bills
          schema: public
      - function:
          name: search_cccontracts
          schema: public
      - function:
          name: search_exportlog
          schema: public
      - function:
          name: search_jobs
          schema: public
      - function:
          name: search_owners
          schema: public
      - function:
          name: search_payments
          schema: public
      - function:
          name: search_phonebook
          schema: public
      - function:
          name: search_vehicles
          schema: public
    tables:
      - delete_permissions:
          - permission:
              filter:
                jobline:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                jobline:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
              columns:
                - hours
                - created_at
                - updated_at
                - employeeid
                - id
                - joblineid
            role: user
        object_relationships:
          - name: employee
            using:
              foreign_key_constraint_on: employeeid
          - name: jobline
            using:
              foreign_key_constraint_on: joblineid
        select_permissions:
          - permission:
              columns:
                - hours
                - created_at
                - updated_at
                - employeeid
                - id
                - joblineid
              filter:
                jobline:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        table:
          name: allocations
          schema: public
        update_permissions:
          - permission:
              check: null
              columns: [ ]
              filter:
                jobline:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - arrived
                - block
                - bodyshopid
                - canceled
                - color
                - created_at
                - end
                - id
                - isintake
                - jobid
                - start
                - title
                - updated_at
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - arrived
                - block
                - bodyshopid
                - canceled
                - color
                - created_at
                - end
                - id
                - isintake
                - jobid
                - start
                - title
                - updated_at
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: appointments
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - arrived
                - block
                - bodyshopid
                - canceled
                - color
                - created_at
                - end
                - id
                - isintake
                - jobid
                - start
                - title
                - updated_at
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
          - name: user
            using:
              foreign_key_constraint_on: useremail
        select_permissions:
          - permission:
              columns:
                - active
                - authlevel
                - default_prod_list_view
                - id
                - shopid
                - useremail
              filter:
                user:
                  authid:
                    _eq: X-Hasura-User-Id
            role: user
        table:
          name: associations
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - active
                - authlevel
                - default_prod_list_view
              filter:
                bodyshop:
                  associations:
                    user:
                      authid:
                        _eq: X-Hasura-User-Id
            role: user
      - object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: user
            using:
              foreign_key_constraint_on: useremail
        select_permissions:
          - permission:
              columns:
                - id
                - new_val
                - old_val
                - operation
                - schemaname
                - tabname
                - useremail
                - created
                - bodyshopid
                - recordid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: audit_trail
          schema: public
      - delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - bodyshopid
                - cieca_id
                - clm_amt
                - clm_no
                - created_at
                - est_data
                - id
                - ins_co_nm
                - issupplement
                - jobid
                - ownr_name
                - source_system
                - supplement_number
                - updated_at
                - uploaded_by
                - vehicle_info
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              columns:
                - bodyshopid
                - cieca_id
                - clm_amt
                - clm_no
                - created_at
                - est_data
                - id
                - ins_co_nm
                - issupplement
                - jobid
                - ownr_name
                - source_system
                - supplement_number
                - updated_at
                - uploaded_by
                - vehicle_info
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: available_jobs
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - cieca_id
                - clm_amt
                - est_data
                - ins_co_nm
                - issupplement
                - ownr_name
                - source_system
                - supplement_number
                - uploaded_by
                - vehicle_info
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                bill:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bill:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
              columns:
                - actual_cost
                - actual_price
                - applicable_taxes
                - billid
                - cost_center
                - created_at
                - deductedfromlbr
                - id
                - joblineid
                - lbr_adjustment
                - line_desc
                - quantity
                - updated_at
            role: user
        object_relationships:
          - name: bill
            using:
              foreign_key_constraint_on: billid
          - name: jobline
            using:
              foreign_key_constraint_on: joblineid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - actual_cost
                - actual_price
                - applicable_taxes
                - billid
                - cost_center
                - created_at
                - deductedfromlbr
                - id
                - joblineid
                - lbr_adjustment
                - line_desc
                - quantity
                - updated_at
              filter:
                bill:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        table:
          name: billlines
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - actual_cost
                - actual_price
                - applicable_taxes
                - billid
                - cost_center
                - created_at
                - deductedfromlbr
                - id
                - joblineid
                - lbr_adjustment
                - line_desc
                - quantity
                - updated_at
              filter:
                bill:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
      - array_relationships:
          - name: billlines
            using:
              foreign_key_constraint_on:
                column: billid
                table:
                  name: billlines
                  schema: public
          - name: documents
            using:
              foreign_key_constraint_on:
                column: billid
                table:
                  name: documents
                  schema: public
          - name: exportlogs
            using:
              foreign_key_constraint_on:
                column: billid
                table:
                  name: exportlog
                  schema: public
          - name: parts_orders
            using:
              foreign_key_constraint_on:
                column: returnfrombill
                table:
                  name: parts_orders
                  schema: public
        delete_permissions:
          - permission:
              filter:
                _and:
                  - job:
                      bodyshop:
                        associations:
                          _and:
                            - user:
                                authid:
                                  _eq: X-Hasura-User-Id
                            - active:
                                _eq: true
                  - exported:
                      _eq: false
            role: user
        insert_permissions:
          - permission:
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - created_at
                - date
                - due_date
                - exported
                - exported_at
                - federal_tax_rate
                - id
                - invoice_number
                - is_credit_memo
                - isinhouse
                - jobid
                - local_tax_rate
                - state_tax_rate
                - total
                - updated_at
                - vendorid
            role: user
        object_relationships:
          - name: job
            using:
              foreign_key_constraint_on: jobid
          - name: vendor
            using:
              foreign_key_constraint_on: vendorid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - created_at
                - date
                - due_date
                - exported
                - exported_at
                - federal_tax_rate
                - id
                - invoice_number
                - is_credit_memo
                - isinhouse
                - jobid
                - local_tax_rate
                - state_tax_rate
                - total
                - updated_at
                - vendorid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: bills
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - created_at
                - date
                - due_date
                - exported
                - exported_at
                - federal_tax_rate
                - id
                - invoice_number
                - is_credit_memo
                - isinhouse
                - jobid
                - local_tax_rate
                - state_tax_rate
                - total
                - updated_at
                - vendorid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - array_relationships:
          - name: appointments
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: appointments
                  schema: public
          - name: associations
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: associations
                  schema: public
          - name: audit_trails
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: audit_trail
                  schema: public
          - name: available_jobs
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: available_jobs
                  schema: public
          - name: conversations
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: conversations
                  schema: public
          - name: counters
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: counters
                  schema: public
          - name: courtesycars
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: courtesycars
                  schema: public
          - name: csiinvites
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: csi
                  schema: public
          - name: csiquestions
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: csiquestions
                  schema: public
          - name: documents
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: documents
                  schema: public
          - name: employees
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: employees
                  schema: public
          - name: exportlogs
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: exportlog
                  schema: public
          - name: jobs
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: jobs
                  schema: public
          - name: owners
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: owners
                  schema: public
          - name: phonebooks
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: phonebook
                  schema: public
          - name: timetickets
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: timetickets
                  schema: public
          - name: vehicles
            using:
              foreign_key_constraint_on:
                column: shopid
                table:
                  name: vehicles
                  schema: public
          - name: vendors
            using:
              foreign_key_constraint_on:
                column: bodyshopid
                table:
                  name: vendors
                  schema: public
        select_permissions:
          - permission:
              columns:
                - accountingconfig
                - address1
                - address2
                - appt_alt_transport
                - appt_colors
                - appt_length
                - bill_tax_rates
                - city
                - country
                - created_at
                - default_adjustment_rate
                - deliverchecklist
                - email
                - enforce_class
                - enforce_referral
                - federal_tax_id
                - id
                - imexshopid
                - inhousevendorid
                - insurance_vendor_id
                - intakechecklist
                - jobsizelimit
                - logo_img_path
                - md_categories
                - md_ccc_rates
                - md_classes
                - md_hour_split
                - md_ins_cos
                - md_labor_rates
                - md_messaging_presets
                - md_notes_presets
                - md_order_statuses
                - md_parts_locations
                - md_payment_types
                - md_rbac
                - md_referral_sources
                - md_responsibility_centers
                - md_ro_statuses
                - messagingservicesid
                - phone
                - prodtargethrs
                - production_config
                - region_config
                - schedule_end_time
                - schedule_start_time
                - scoreboard_target
                - shopname
                - shoprates
                - speedprint
                - ssbuckets
                - state
                - state_tax_id
                - stripe_acct_id
                - sub_status
                - target_touchtime
                - template_header
                - textid
                - updated_at
                - use_fippa
                - workingdays
                - zip_post
              filter:
                associations:
                  user:
                    authid:
                      _eq: X-Hasura-User-Id
            role: user
        table:
          name: bodyshops
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - accountingconfig
                - address1
                - address2
                - appt_alt_transport
                - appt_colors
                - appt_length
                - bill_tax_rates
                - city
                - country
                - created_at
                - default_adjustment_rate
                - deliverchecklist
                - email
                - enforce_class
                - enforce_referral
                - federal_tax_id
                - id
                - inhousevendorid
                - insurance_vendor_id
                - intakechecklist
                - logo_img_path
                - md_categories
                - md_ccc_rates
                - md_classes
                - md_hour_split
                - md_ins_cos
                - md_labor_rates
                - md_messaging_presets
                - md_notes_presets
                - md_order_statuses
                - md_parts_locations
                - md_payment_types
                - md_rbac
                - md_referral_sources
                - md_responsibility_centers
                - md_ro_statuses
                - phone
                - prodtargethrs
                - production_config
                - schedule_end_time
                - schedule_start_time
                - scoreboard_target
                - shopname
                - shoprates
                - speedprint
                - ssbuckets
                - state
                - state_tax_id
                - target_touchtime
                - updated_at
                - use_fippa
                - workingdays
                - zip_post
              filter:
                associations:
                  _and:
                    - user:
                        authid:
                          _eq: X-Hasura-User-Id
                    - active:
                        _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                courtesycar:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                courtesycar:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - actax
                - actualreturn
                - agreementnumber
                - cleanupcharge
                - contract_date
                - courtesycarid
                - coverage
                - created_at
                - dailyfreekm
                - dailyrate
                - damage
                - damagewaiver
                - driver_addr1
                - driver_addr2
                - driver_city
                - driver_dlexpiry
                - driver_dlnumber
                - driver_dlst
                - driver_dob
                - driver_fn
                - driver_ln
                - driver_ph1
                - driver_state
                - driver_zip
                - excesskmrate
                - federaltax
                - fuelin
                - fuelout
                - id
                - jobid
                - kmend
                - kmstart
                - localtax
                - refuelcharge
                - scheduledreturn
                - start
                - statetax
                - status
                - updated_at
            role: user
        object_relationships:
          - name: courtesycar
            using:
              foreign_key_constraint_on: courtesycarid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - actax
                - actualreturn
                - agreementnumber
                - cleanupcharge
                - contract_date
                - courtesycarid
                - coverage
                - created_at
                - dailyfreekm
                - dailyrate
                - damage
                - damagewaiver
                - driver_addr1
                - driver_addr2
                - driver_city
                - driver_dlexpiry
                - driver_dlnumber
                - driver_dlst
                - driver_dob
                - driver_fn
                - driver_ln
                - driver_ph1
                - driver_state
                - driver_zip
                - excesskmrate
                - federaltax
                - fuelin
                - fuelout
                - id
                - jobid
                - kmend
                - kmstart
                - localtax
                - refuelcharge
                - scheduledreturn
                - start
                - statetax
                - status
                - updated_at
              filter:
                courtesycar:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: cccontracts
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - actax
                - actualreturn
                - agreementnumber
                - cleanupcharge
                - contract_date
                - courtesycarid
                - coverage
                - created_at
                - dailyfreekm
                - dailyrate
                - damage
                - damagewaiver
                - driver_addr1
                - driver_addr2
                - driver_city
                - driver_dlexpiry
                - driver_dlnumber
                - driver_dlst
                - driver_dob
                - driver_fn
                - driver_ln
                - driver_ph1
                - driver_state
                - driver_zip
                - excesskmrate
                - federaltax
                - fuelin
                - fuelout
                - id
                - jobid
                - kmend
                - kmstart
                - localtax
                - refuelcharge
                - scheduledreturn
                - start
                - statetax
                - status
                - updated_at
              filter:
                courtesycar:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - array_relationships:
          - name: job_conversations
            using:
              foreign_key_constraint_on:
                column: conversationid
                table:
                  name: job_conversations
                  schema: public
          - name: messages
            using:
              foreign_key_constraint_on:
                column: conversationid
                table:
                  name: messages
                  schema: public
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - bodyshopid
                - phone_num
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - phone_num
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: conversations
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - phone_num
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
        table:
          name: counters
          schema: public
      - array_relationships:
          - name: cccontracts
            using:
              foreign_key_constraint_on:
                column: courtesycarid
                table:
                  name: cccontracts
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - bodyshopid
                - make
                - model
                - year
                - plate
                - color
                - vin
                - fleetnumber
                - purchasedate
                - servicestartdate
                - serviceenddate
                - leaseenddate
                - status
                - nextservicekm
                - nextservicedate
                - damage
                - notes
                - fuel
                - registrationexpires
                - insuranceexpires
                - dailycost
                - mileage
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - insuranceexpires
                - leaseenddate
                - nextservicedate
                - purchasedate
                - registrationexpires
                - serviceenddate
                - servicestartdate
                - dailycost
                - fuel
                - mileage
                - nextservicekm
                - color
                - damage
                - fleetnumber
                - make
                - model
                - notes
                - plate
                - status
                - vin
                - year
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: courtesycars
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - insuranceexpires
                - leaseenddate
                - nextservicedate
                - purchasedate
                - registrationexpires
                - serviceenddate
                - servicestartdate
                - dailycost
                - fuel
                - mileage
                - nextservicekm
                - color
                - damage
                - fleetnumber
                - make
                - model
                - notes
                - plate
                - status
                - vin
                - year
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - bodyshopid
                - created_at
                - id
                - jobid
                - questionset
                - relateddata
                - updated_at
                - valid
                - validuntil
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: csiquestion
            using:
              foreign_key_constraint_on: questionset
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              columns:
                - id
                - relateddata
                - valid
                - validuntil
              filter:
                valid:
                  _eq: true
              limit: 1
            role: anonymous
          - permission:
              allow_aggregations: true
              columns:
                - bodyshopid
                - completedon
                - created_at
                - id
                - jobid
                - questionset
                - relateddata
                - response
                - updated_at
                - valid
                - validuntil
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: csi
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - completedon
                - response
                - valid
              filter:
                valid:
                  _eq: true
            role: anonymous
          - permission:
              check: null
              columns:
                - bodyshopid
                - completedon
                - created_at
                - id
                - jobid
                - relateddata
                - updated_at
                - valid
                - validuntil
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - array_relationships:
          - name: csis
            using:
              foreign_key_constraint_on:
                column: questionset
                table:
                  name: csi
                  schema: public
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - current
                - config
                - created_at
                - updated_at
                - bodyshopid
                - id
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
        select_permissions:
          - permission:
              columns:
                - config
                - id
              filter: { }
              limit: 1
            role: anonymous
          - permission:
              columns:
                - current
                - config
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: csiquestions
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - current
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                _or:
                  - job:
                      bodyshop:
                        associations:
                          _and:
                            - user:
                                authid:
                                  _eq: X-Hasura-User-Id
                            - active:
                                _eq: true
                  - bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                _or:
                  - job:
                      bodyshop:
                        associations:
                          _and:
                            - user:
                                authid:
                                  _eq: X-Hasura-User-Id
                            - active:
                                _eq: true
                  - bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
              columns:
                - billid
                - bodyshopid
                - created_at
                - extension
                - id
                - jobid
                - key
                - name
                - size
                - type
                - updated_at
                - uploaded_by
            role: user
        object_relationships:
          - name: bill
            using:
              foreign_key_constraint_on: billid
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - billid
                - bodyshopid
                - created_at
                - extension
                - id
                - jobid
                - key
                - name
                - size
                - type
                - updated_at
                - uploaded_by
              filter:
                _or:
                  - job:
                      bodyshop:
                        associations:
                          _and:
                            - user:
                                authid:
                                  _eq: X-Hasura-User-Id
                            - active:
                                _eq: true
                  - bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        table:
          name: documents
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - extension
                - key
                - name
                - type
                - uploaded_by
                - created_at
                - updated_at
                - billid
                - bodyshopid
                - id
                - jobid
              filter:
                _or:
                  - job:
                      bodyshop:
                        associations:
                          _and:
                            - user:
                                authid:
                                  _eq: X-Hasura-User-Id
                            - active:
                                _eq: true
                  - bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
      - array_relationships:
          - name: allocations
            using:
              foreign_key_constraint_on:
                column: employeeid
                table:
                  name: allocations
                  schema: public
          - name: jobsByEmployeeBody
            using:
              foreign_key_constraint_on:
                column: employee_body
                table:
                  name: jobs
                  schema: public
          - name: jobsByEmployeeCsr
            using:
              foreign_key_constraint_on:
                column: employee_csr
                table:
                  name: jobs
                  schema: public
          - name: jobsByEmployeePrep
            using:
              foreign_key_constraint_on:
                column: employee_prep
                table:
                  name: jobs
                  schema: public
          - name: jobsByEmployeeRefinish
            using:
              foreign_key_constraint_on:
                column: employee_refinish
                table:
                  name: jobs
                  schema: public
          - name: timetickets
            using:
              foreign_key_constraint_on:
                column: employeeid
                table:
                  name: timetickets
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - active
                - created_at
                - employee_number
                - first_name
                - flat_rate
                - hire_date
                - id
                - last_name
                - pin
                - rates
                - shopid
                - termination_date
                - updated_at
                - user_email
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
          - name: user
            using:
              foreign_key_constraint_on: user_email
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - active
                - created_at
                - employee_number
                - first_name
                - flat_rate
                - hire_date
                - id
                - last_name
                - pin
                - rates
                - shopid
                - termination_date
                - updated_at
                - user_email
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: employees
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - active
                - created_at
                - employee_number
                - first_name
                - flat_rate
                - hire_date
                - id
                - last_name
                - pin
                - rates
                - shopid
                - termination_date
                - updated_at
                - user_email
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - insert_permissions:
          - permission:
              backend_only: false
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - jobid
                - billid
                - paymentid
                - successful
                - message
                - bodyshopid
                - useremail
            role: user
        object_relationships:
          - name: bill
            using:
              foreign_key_constraint_on: billid
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: job
            using:
              foreign_key_constraint_on: jobid
          - name: payment
            using:
              foreign_key_constraint_on: paymentid
          - name: user
            using:
              foreign_key_constraint_on: useremail
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - successful
                - message
                - useremail
                - created_at
                - updated_at
                - billid
                - bodyshopid
                - id
                - jobid
                - paymentid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: exportlog
          schema: public
      - table:
          name: ioevents
          schema: public
      - delete_permissions:
          - permission:
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - conversationid
                - id
                - jobid
            role: user
        object_relationships:
          - name: conversation
            using:
              foreign_key_constraint_on: conversationid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              columns:
                - conversationid
                - id
                - jobid
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: job_conversations
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - conversationid
                - jobid
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - array_relationships:
          - name: allocations
            using:
              foreign_key_constraint_on:
                column: joblineid
                table:
                  name: allocations
                  schema: public
          - name: billlines
            using:
              foreign_key_constraint_on:
                column: joblineid
                table:
                  name: billlines
                  schema: public
          - name: parts_order_lines
            using:
              foreign_key_constraint_on:
                column: job_line_id
                table:
                  name: parts_order_lines
                  schema: public
        delete_permissions:
          - permission:
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - act_price
                - alt_co_id
                - alt_overrd
                - alt_part_i
                - alt_partm
                - alt_partno
                - bett_amt
                - bett_pctg
                - bett_tax
                - bett_type
                - cert_part
                - created_at
                - db_hrs
                - db_price
                - db_ref
                - est_seq
                - glass_flag
                - id
                - jobid
                - lbr_amt
                - lbr_hrs_j
                - lbr_inc
                - lbr_op
                - lbr_op_j
                - lbr_tax
                - lbr_typ_j
                - line_desc
                - line_ind
                - line_no
                - line_ref
                - location
                - manual_line
                - misc_amt
                - misc_sublt
                - misc_tax
                - mod_lb_hrs
                - mod_lbr_ty
                - notes
                - oem_partno
                - op_code_desc
                - paint_stg
                - paint_tone
                - part_qty
                - part_type
                - price_inc
                - price_j
                - profitcenter_labor
                - profitcenter_part
                - prt_dsmk_m
                - prt_dsmk_p
                - removed
                - status
                - sublet_completed
                - sublet_ignored
                - tax_part
                - unq_seq
                - updated_at
            role: user
        object_relationships:
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - act_price
                - alt_co_id
                - alt_overrd
                - alt_part_i
                - alt_partm
                - alt_partno
                - bett_amt
                - bett_pctg
                - bett_tax
                - bett_type
                - cert_part
                - created_at
                - db_hrs
                - db_price
                - db_ref
                - est_seq
                - glass_flag
                - id
                - jobid
                - lbr_amt
                - lbr_hrs_j
                - lbr_inc
                - lbr_op
                - lbr_op_j
                - lbr_tax
                - lbr_typ_j
                - line_desc
                - line_ind
                - line_no
                - line_ref
                - location
                - manual_line
                - misc_amt
                - misc_sublt
                - misc_tax
                - mod_lb_hrs
                - mod_lbr_ty
                - notes
                - oem_partno
                - op_code_desc
                - paint_stg
                - paint_tone
                - part_qty
                - part_type
                - price_inc
                - price_j
                - profitcenter_labor
                - profitcenter_part
                - prt_dsmk_m
                - prt_dsmk_p
                - removed
                - status
                - sublet_completed
                - sublet_ignored
                - tax_part
                - unq_seq
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: joblines
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - act_price
                - alt_co_id
                - alt_overrd
                - alt_part_i
                - alt_partm
                - alt_partno
                - bett_amt
                - bett_pctg
                - bett_tax
                - bett_type
                - cert_part
                - created_at
                - db_hrs
                - db_price
                - db_ref
                - est_seq
                - glass_flag
                - id
                - jobid
                - lbr_amt
                - lbr_hrs_j
                - lbr_inc
                - lbr_op
                - lbr_op_j
                - lbr_tax
                - lbr_typ_j
                - line_desc
                - line_ind
                - line_no
                - line_ref
                - location
                - manual_line
                - misc_amt
                - misc_sublt
                - misc_tax
                - mod_lb_hrs
                - mod_lbr_ty
                - notes
                - oem_partno
                - op_code_desc
                - paint_stg
                - paint_tone
                - part_qty
                - part_type
                - price_inc
                - price_j
                - profitcenter_labor
                - profitcenter_part
                - prt_dsmk_m
                - prt_dsmk_p
                - removed
                - status
                - sublet_completed
                - sublet_ignored
                - tax_part
                - unq_seq
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - object_relationships:
          - name: job
            using:
              manual_configuration:
                column_mapping:
                  jobid: id
                remote_table:
                  name: jobs
                  schema: public
        select_permissions:
          - permission:
              columns:
                - jobid
                - status
                - count
                - part_type
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: joblines_status
          schema: public
      - array_relationships:
          - name: appointments
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: appointments
                  schema: public
          - name: available_jobs
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: available_jobs
                  schema: public
          - name: bills
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: bills
                  schema: public
          - name: cccontracts
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: cccontracts
                  schema: public
          - name: csiinvites
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: csi
                  schema: public
          - name: documents
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: documents
                  schema: public
          - name: exportlogs
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: exportlog
                  schema: public
          - name: job_conversations
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: job_conversations
                  schema: public
          - name: joblines
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: joblines
                  schema: public
          - name: joblines_status
            using:
              manual_configuration:
                column_mapping:
                  id: jobid
                remote_table:
                  name: joblines_status
                  schema: public
          - name: notes
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: notes
                  schema: public
          - name: parts_orders
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: parts_orders
                  schema: public
          - name: payments
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: payments
                  schema: public
          - name: scoreboards
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: scoreboard
                  schema: public
          - name: timetickets
            using:
              foreign_key_constraint_on:
                column: jobid
                table:
                  name: timetickets
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - actual_completion
                - actual_delivery
                - actual_in
                - adj_g_disc
                - adj_strdis
                - adj_towdis
                - adjustment_bottom_line
                - agt_addr1
                - agt_addr2
                - agt_city
                - agt_co_id
                - agt_co_nm
                - agt_ct_fn
                - agt_ct_ln
                - agt_ct_ph
                - agt_ct_phx
                - agt_ctry
                - agt_ea
                - agt_fax
                - agt_faxx
                - agt_lic_no
                - agt_ph1
                - agt_ph1x
                - agt_ph2
                - agt_ph2x
                - agt_st
                - agt_zip
                - alt_transport
                - area_of_damage
                - asgn_date
                - asgn_no
                - asgn_type
                - ca_bc_pvrt
                - ca_customer_gst
                - ca_gst_registrant
                - cat_no
                - category
                - cieca_stl
                - cieca_ttl
                - ciecaid
                - class
                - clm_addr1
                - clm_addr2
                - clm_city
                - clm_ct_fn
                - clm_ct_ln
                - clm_ct_ph
                - clm_ct_phx
                - clm_ctry
                - clm_ea
                - clm_fax
                - clm_faxx
                - clm_no
                - clm_ofc_id
                - clm_ofc_nm
                - clm_ph1
                - clm_ph1x
                - clm_ph2
                - clm_ph2x
                - clm_st
                - clm_title
                - clm_total
                - clm_zip
                - converted
                - created_at
                - cust_pr
                - date_estimated
                - date_exported
                - date_invoiced
                - date_open
                - date_scheduled
                - ded_amt
                - ded_status
                - deliverchecklist
                - depreciation_taxes
                - driveable
                - employee_body
                - employee_csr
                - employee_prep
                - employee_refinish
                - est_addr1
                - est_addr2
                - est_city
                - est_co_nm
                - est_ct_fn
                - est_ct_ln
                - est_ctry
                - est_ea
                - est_ph1
                - est_st
                - est_zip
                - federal_tax_rate
                - g_bett_amt
                - id
                - inproduction
                - ins_addr1
                - ins_addr2
                - ins_city
                - ins_co_id
                - ins_co_nm
                - ins_ct_fn
                - ins_ct_ln
                - ins_ct_ph
                - ins_ct_phx
                - ins_ctry
                - ins_ea
                - ins_fax
                - ins_faxx
                - ins_memo
                - ins_ph1
                - ins_ph1x
                - ins_ph2
                - ins_ph2x
                - ins_st
                - ins_title
                - ins_zip
                - insd_addr1
                - insd_addr2
                - insd_city
                - insd_co_nm
                - insd_ctry
                - insd_ea
                - insd_fax
                - insd_faxx
                - insd_fn
                - insd_ln
                - insd_ph1
                - insd_ph1x
                - insd_ph2
                - insd_ph2x
                - insd_st
                - insd_title
                - insd_zip
                - intakechecklist
                - invoice_allocation
                - invoice_date
                - job_totals
                - kanbanparent
                - kmin
                - kmout
                - labor_rate_desc
                - labor_rate_id
                - lbr_adjustments
                - local_tax_rate
                - loss_cat
                - loss_date
                - loss_desc
                - loss_type
                - other_amount_payable
                - owner_owing
                - ownerid
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_co_nm
                - ownr_ctry
                - ownr_ea
                - ownr_fax
                - ownr_faxx
                - ownr_fn
                - ownr_ln
                - ownr_ph1
                - ownr_ph1x
                - ownr_ph2
                - ownr_ph2x
                - ownr_st
                - ownr_title
                - ownr_zip
                - parts_tax_rates
                - pay_amt
                - pay_chknm
                - pay_date
                - pay_type
                - payee_nms
                - plate_no
                - plate_st
                - po_number
                - policy_no
                - production_vars
                - queued_for_parts
                - rate_la1
                - rate_la2
                - rate_la3
                - rate_la4
                - rate_laa
                - rate_lab
                - rate_lad
                - rate_lae
                - rate_laf
                - rate_lag
                - rate_lam
                - rate_lar
                - rate_las
                - rate_lau
                - rate_ma2s
                - rate_ma2t
                - rate_ma3s
                - rate_mabl
                - rate_macs
                - rate_mahw
                - rate_mapa
                - rate_mash
                - rate_matd
                - referral_source
                - regie_number
                - ro_number
                - scheduled_completion
                - scheduled_delivery
                - scheduled_in
                - selling_dealer
                - selling_dealer_contact
                - servicing_dealer
                - servicing_dealer_contact
                - shopid
                - special_coverage_policy
                - state_tax_rate
                - status
                - storage_payable
                - tax_lbr_rt
                - tax_levies_rt
                - tax_paint_mat_rt
                - tax_predis
                - tax_prethr
                - tax_pstthr
                - tax_registration_number
                - tax_shop_mat_rt
                - tax_str_rt
                - tax_sub_rt
                - tax_thramt
                - tax_tow_rt
                - theft_ind
                - tlos_ind
                - towin
                - towing_payable
                - unit_number
                - updated_at
                - v_color
                - v_make_desc
                - v_model_desc
                - v_model_yr
                - v_vin
                - vehicleid
                - voided
            role: user
        object_relationships:
          - name: bill
            using:
              manual_configuration:
                column_mapping:
                  id: jobid
                remote_table:
                  name: bills
                  schema: public
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
          - name: employee_body_rel
            using:
              foreign_key_constraint_on: employee_body
          - name: employee_csr_rel
            using:
              foreign_key_constraint_on: employee_csr
          - name: employee_prep_rel
            using:
              foreign_key_constraint_on: employee_prep
          - name: employee_refinish_rel
            using:
              foreign_key_constraint_on: employee_refinish
          - name: owner
            using:
              foreign_key_constraint_on: ownerid
          - name: vehicle
            using:
              foreign_key_constraint_on: vehicleid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - actual_completion
                - actual_delivery
                - actual_in
                - adj_g_disc
                - adj_strdis
                - adj_towdis
                - adjustment_bottom_line
                - agt_addr1
                - agt_addr2
                - agt_city
                - agt_co_id
                - agt_co_nm
                - agt_ct_fn
                - agt_ct_ln
                - agt_ct_ph
                - agt_ct_phx
                - agt_ctry
                - agt_ea
                - agt_fax
                - agt_faxx
                - agt_lic_no
                - agt_ph1
                - agt_ph1x
                - agt_ph2
                - agt_ph2x
                - agt_st
                - agt_zip
                - alt_transport
                - area_of_damage
                - asgn_date
                - asgn_no
                - asgn_type
                - ca_bc_pvrt
                - ca_customer_gst
                - ca_gst_registrant
                - cat_no
                - category
                - cieca_stl
                - cieca_ttl
                - ciecaid
                - class
                - clm_addr1
                - clm_addr2
                - clm_city
                - clm_ct_fn
                - clm_ct_ln
                - clm_ct_ph
                - clm_ct_phx
                - clm_ctry
                - clm_ea
                - clm_fax
                - clm_faxx
                - clm_no
                - clm_ofc_id
                - clm_ofc_nm
                - clm_ph1
                - clm_ph1x
                - clm_ph2
                - clm_ph2x
                - clm_st
                - clm_title
                - clm_total
                - clm_zip
                - converted
                - created_at
                - cust_pr
                - date_estimated
                - date_exported
                - date_invoiced
                - date_open
                - date_scheduled
                - ded_amt
                - ded_status
                - deliverchecklist
                - depreciation_taxes
                - driveable
                - employee_body
                - employee_csr
                - employee_prep
                - employee_refinish
                - est_addr1
                - est_addr2
                - est_city
                - est_co_nm
                - est_ct_fn
                - est_ct_ln
                - est_ctry
                - est_ea
                - est_ph1
                - est_st
                - est_zip
                - federal_tax_rate
                - g_bett_amt
                - id
                - inproduction
                - ins_addr1
                - ins_addr2
                - ins_city
                - ins_co_id
                - ins_co_nm
                - ins_ct_fn
                - ins_ct_ln
                - ins_ct_ph
                - ins_ct_phx
                - ins_ctry
                - ins_ea
                - ins_fax
                - ins_faxx
                - ins_memo
                - ins_ph1
                - ins_ph1x
                - ins_ph2
                - ins_ph2x
                - ins_st
                - ins_title
                - ins_zip
                - insd_addr1
                - insd_addr2
                - insd_city
                - insd_co_nm
                - insd_ctry
                - insd_ea
                - insd_fax
                - insd_faxx
                - insd_fn
                - insd_ln
                - insd_ph1
                - insd_ph1x
                - insd_ph2
                - insd_ph2x
                - insd_st
                - insd_title
                - insd_zip
                - intakechecklist
                - invoice_allocation
                - invoice_date
                - job_totals
                - kanbanparent
                - kmin
                - kmout
                - labor_rate_desc
                - labor_rate_id
                - lbr_adjustments
                - local_tax_rate
                - loss_cat
                - loss_date
                - loss_desc
                - loss_type
                - other_amount_payable
                - owner_owing
                - ownerid
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_co_nm
                - ownr_ctry
                - ownr_ea
                - ownr_fax
                - ownr_faxx
                - ownr_fn
                - ownr_ln
                - ownr_ph1
                - ownr_ph1x
                - ownr_ph2
                - ownr_ph2x
                - ownr_st
                - ownr_title
                - ownr_zip
                - parts_tax_rates
                - pay_amt
                - pay_chknm
                - pay_date
                - pay_type
                - payee_nms
                - plate_no
                - plate_st
                - po_number
                - policy_no
                - production_vars
                - queued_for_parts
                - rate_la1
                - rate_la2
                - rate_la3
                - rate_la4
                - rate_laa
                - rate_lab
                - rate_lad
                - rate_lae
                - rate_laf
                - rate_lag
                - rate_lam
                - rate_lar
                - rate_las
                - rate_lau
                - rate_ma2s
                - rate_ma2t
                - rate_ma3s
                - rate_mabl
                - rate_macs
                - rate_mahw
                - rate_mapa
                - rate_mash
                - rate_matd
                - referral_source
                - regie_number
                - ro_number
                - scheduled_completion
                - scheduled_delivery
                - scheduled_in
                - selling_dealer
                - selling_dealer_contact
                - servicing_dealer
                - servicing_dealer_contact
                - shopid
                - special_coverage_policy
                - state_tax_rate
                - status
                - storage_payable
                - tax_lbr_rt
                - tax_levies_rt
                - tax_paint_mat_rt
                - tax_predis
                - tax_prethr
                - tax_pstthr
                - tax_registration_number
                - tax_shop_mat_rt
                - tax_str_rt
                - tax_sub_rt
                - tax_thramt
                - tax_tow_rt
                - theft_ind
                - tlos_ind
                - towin
                - towing_payable
                - unit_number
                - updated_at
                - v_color
                - v_make_desc
                - v_model_desc
                - v_model_yr
                - v_vin
                - vehicleid
                - voided
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: jobs
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - actual_completion
                - actual_delivery
                - actual_in
                - adj_g_disc
                - adj_strdis
                - adj_towdis
                - adjustment_bottom_line
                - agt_addr1
                - agt_addr2
                - agt_city
                - agt_co_id
                - agt_co_nm
                - agt_ct_fn
                - agt_ct_ln
                - agt_ct_ph
                - agt_ct_phx
                - agt_ctry
                - agt_ea
                - agt_fax
                - agt_faxx
                - agt_lic_no
                - agt_ph1
                - agt_ph1x
                - agt_ph2
                - agt_ph2x
                - agt_st
                - agt_zip
                - alt_transport
                - area_of_damage
                - asgn_date
                - asgn_no
                - asgn_type
                - ca_bc_pvrt
                - ca_customer_gst
                - ca_gst_registrant
                - cat_no
                - category
                - cieca_stl
                - cieca_ttl
                - ciecaid
                - class
                - clm_addr1
                - clm_addr2
                - clm_city
                - clm_ct_fn
                - clm_ct_ln
                - clm_ct_ph
                - clm_ct_phx
                - clm_ctry
                - clm_ea
                - clm_fax
                - clm_faxx
                - clm_no
                - clm_ofc_id
                - clm_ofc_nm
                - clm_ph1
                - clm_ph1x
                - clm_ph2
                - clm_ph2x
                - clm_st
                - clm_title
                - clm_total
                - clm_zip
                - converted
                - created_at
                - cust_pr
                - date_estimated
                - date_exported
                - date_invoiced
                - date_open
                - date_scheduled
                - ded_amt
                - ded_status
                - deliverchecklist
                - depreciation_taxes
                - driveable
                - employee_body
                - employee_csr
                - employee_prep
                - employee_refinish
                - est_addr1
                - est_addr2
                - est_city
                - est_co_nm
                - est_ct_fn
                - est_ct_ln
                - est_ctry
                - est_ea
                - est_ph1
                - est_st
                - est_zip
                - federal_tax_rate
                - g_bett_amt
                - id
                - inproduction
                - ins_addr1
                - ins_addr2
                - ins_city
                - ins_co_id
                - ins_co_nm
                - ins_ct_fn
                - ins_ct_ln
                - ins_ct_ph
                - ins_ct_phx
                - ins_ctry
                - ins_ea
                - ins_fax
                - ins_faxx
                - ins_memo
                - ins_ph1
                - ins_ph1x
                - ins_ph2
                - ins_ph2x
                - ins_st
                - ins_title
                - ins_zip
                - insd_addr1
                - insd_addr2
                - insd_city
                - insd_co_nm
                - insd_ctry
                - insd_ea
                - insd_fax
                - insd_faxx
                - insd_fn
                - insd_ln
                - insd_ph1
                - insd_ph1x
                - insd_ph2
                - insd_ph2x
                - insd_st
                - insd_title
                - insd_zip
                - intakechecklist
                - invoice_allocation
                - invoice_date
                - job_totals
                - kanbanparent
                - kmin
                - kmout
                - labor_rate_desc
                - labor_rate_id
                - lbr_adjustments
                - local_tax_rate
                - loss_cat
                - loss_date
                - loss_desc
                - loss_type
                - other_amount_payable
                - owner_owing
                - ownerid
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_co_nm
                - ownr_ctry
                - ownr_ea
                - ownr_fax
                - ownr_faxx
                - ownr_fn
                - ownr_ln
                - ownr_ph1
                - ownr_ph1x
                - ownr_ph2
                - ownr_ph2x
                - ownr_st
                - ownr_title
                - ownr_zip
                - parts_tax_rates
                - pay_amt
                - pay_chknm
                - pay_date
                - pay_type
                - payee_nms
                - plate_no
                - plate_st
                - po_number
                - policy_no
                - production_vars
                - queued_for_parts
                - rate_la1
                - rate_la2
                - rate_la3
                - rate_la4
                - rate_laa
                - rate_lab
                - rate_lad
                - rate_lae
                - rate_laf
                - rate_lag
                - rate_lam
                - rate_lar
                - rate_las
                - rate_lau
                - rate_ma2s
                - rate_ma2t
                - rate_ma3s
                - rate_mabl
                - rate_macs
                - rate_mahw
                - rate_mapa
                - rate_mash
                - rate_matd
                - referral_source
                - regie_number
                - ro_number
                - scheduled_completion
                - scheduled_delivery
                - scheduled_in
                - selling_dealer
                - selling_dealer_contact
                - servicing_dealer
                - servicing_dealer_contact
                - shopid
                - special_coverage_policy
                - state_tax_rate
                - status
                - storage_payable
                - tax_lbr_rt
                - tax_levies_rt
                - tax_paint_mat_rt
                - tax_predis
                - tax_prethr
                - tax_pstthr
                - tax_registration_number
                - tax_shop_mat_rt
                - tax_str_rt
                - tax_sub_rt
                - tax_thramt
                - tax_tow_rt
                - theft_ind
                - tlos_ind
                - towin
                - towing_payable
                - unit_number
                - updated_at
                - v_color
                - v_make_desc
                - v_model_desc
                - v_model_yr
                - v_vin
                - vehicleid
                - voided
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - select_permissions:
          - permission:
              columns:
                - key
                - value
              filter: { }
            role: anonymous
          - permission:
              columns:
                - key
                - value
              filter: { }
            role: user
        table:
          name: masterdata
          schema: public
      - delete_permissions:
          - permission:
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - conversationid
                - created_at
                - id
                - image
                - image_path
                - isoutbound
                - msid
                - read
                - status
                - text
                - updated_at
                - userid
            role: user
        object_relationships:
          - name: conversation
            using:
              foreign_key_constraint_on: conversationid
          - name: user
            using:
              foreign_key_constraint_on: userid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - conversationid
                - created_at
                - id
                - image
                - image_path
                - isoutbound
                - msid
                - read
                - status
                - text
                - updated_at
                - userid
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: messages
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - conversationid
                - created_at
                - id
                - image
                - image_path
                - isoutbound
                - msid
                - read
                - status
                - text
                - updated_at
              filter:
                conversation:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - audit
                - created_at
                - created_by
                - critical
                - id
                - jobid
                - private
                - text
                - updated_at
            role: user
        object_relationships:
          - name: job
            using:
              foreign_key_constraint_on: jobid
          - name: user
            using:
              foreign_key_constraint_on: created_by
        select_permissions:
          - permission:
              columns:
                - audit
                - created_at
                - created_by
                - critical
                - id
                - jobid
                - private
                - text
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: notes
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - audit
                - created_at
                - created_by
                - critical
                - id
                - jobid
                - private
                - text
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - array_relationships:
          - name: jobs
            using:
              foreign_key_constraint_on:
                column: ownerid
                table:
                  name: jobs
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - ownr_fn
                - ownr_ln
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_st
                - ownr_zip
                - ownr_ctry
                - ownr_ea
                - ownr_ph1
                - preferred_contact
                - allow_text_message
                - shopid
                - ownr_ph2
                - ownr_co_nm
                - ownr_title
                - accountingid
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - allow_text_message
                - accountingid
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_co_nm
                - ownr_ctry
                - ownr_ea
                - ownr_fn
                - ownr_ln
                - ownr_ph1
                - ownr_ph2
                - ownr_st
                - ownr_title
                - ownr_zip
                - preferred_contact
                - created_at
                - updated_at
                - id
                - shopid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: owners
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - allow_text_message
                - accountingid
                - ownr_addr1
                - ownr_addr2
                - ownr_city
                - ownr_co_nm
                - ownr_ctry
                - ownr_ea
                - ownr_fn
                - ownr_ln
                - ownr_ph1
                - ownr_ph2
                - ownr_st
                - ownr_title
                - ownr_zip
                - preferred_contact
                - created_at
                - updated_at
                - id
                - shopid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                parts_order:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                parts_order:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
              columns:
                - act_price
                - backordered_eta
                - backordered_on
                - cost
                - created_at
                - db_price
                - id
                - job_line_id
                - line_desc
                - line_remarks
                - oem_partno
                - orderid
                - part_type
                - quantity
                - status
                - updated_at
            role: user
        object_relationships:
          - name: jobline
            using:
              foreign_key_constraint_on: job_line_id
          - name: parts_order
            using:
              foreign_key_constraint_on: orderid
        select_permissions:
          - permission:
              columns:
                - act_price
                - backordered_eta
                - backordered_on
                - cost
                - created_at
                - db_price
                - id
                - job_line_id
                - line_desc
                - line_remarks
                - oem_partno
                - orderid
                - part_type
                - quantity
                - status
                - updated_at
              filter:
                parts_order:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
        table:
          name: parts_order_lines
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - act_price
                - backordered_eta
                - backordered_on
                - cost
                - created_at
                - db_price
                - id
                - job_line_id
                - line_desc
                - line_remarks
                - oem_partno
                - orderid
                - part_type
                - quantity
                - status
                - updated_at
              filter:
                parts_order:
                  job:
                    bodyshop:
                      associations:
                        _and:
                          - user:
                              authid:
                                _eq: X-Hasura-User-Id
                          - active:
                              _eq: true
            role: user
      - array_relationships:
          - name: parts_order_lines
            using:
              foreign_key_constraint_on:
                column: orderid
                table:
                  name: parts_order_lines
                  schema: public
        delete_permissions:
          - permission:
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - created_at
                - deliver_by
                - id
                - jobid
                - order_date
                - order_number
                - return
                - returnfrombill
                - status
                - updated_at
                - user_email
                - vendorid
            role: user
        object_relationships:
          - name: bill
            using:
              foreign_key_constraint_on: returnfrombill
          - name: job
            using:
              foreign_key_constraint_on: jobid
          - name: user
            using:
              foreign_key_constraint_on: user_email
          - name: vendor
            using:
              foreign_key_constraint_on: vendorid
        select_permissions:
          - permission:
              columns:
                - created_at
                - deliver_by
                - id
                - jobid
                - order_date
                - order_number
                - return
                - returnfrombill
                - status
                - updated_at
                - user_email
                - vendorid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: parts_orders
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - created_at
                - deliver_by
                - id
                - jobid
                - order_date
                - order_number
                - returnfrombill
                - status
                - updated_at
                - user_email
                - vendorid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - array_relationships:
          - name: exportlogs
            using:
              foreign_key_constraint_on:
                column: paymentid
                table:
                  name: exportlog
                  schema: public
        delete_permissions:
          - permission:
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - amount
                - created_at
                - date
                - exportedat
                - id
                - jobid
                - memo
                - payer
                - paymentnum
                - stripeid
                - transactionid
                - type
                - updated_at
            role: user
        object_relationships:
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - amount
                - created_at
                - date
                - exportedat
                - id
                - jobid
                - memo
                - payer
                - paymentnum
                - stripeid
                - transactionid
                - type
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: payments
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - amount
                - created_at
                - date
                - exportedat
                - id
                - jobid
                - memo
                - payer
                - paymentnum
                - stripeid
                - transactionid
                - type
                - updated_at
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              backend_only: false
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - bodyshopid
                - firstname
                - lastname
                - phone1
                - email
                - address1
                - address2
                - city
                - state
                - zip
                - country
                - company
                - phone2
                - fax
                - category
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - address1
                - address2
                - category
                - city
                - company
                - country
                - email
                - fax
                - firstname
                - lastname
                - phone1
                - phone2
                - state
                - zip
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: phonebook
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - address1
                - address2
                - category
                - city
                - company
                - country
                - email
                - fax
                - firstname
                - lastname
                - phone1
                - phone2
                - state
                - zip
                - created_at
                - updated_at
                - bodyshopid
                - id
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        insert_permissions:
          - permission:
              backend_only: false
              check:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
              columns:
                - id
                - jobid
                - painthrs
                - bodyhrs
                - date
            role: user
        object_relationships:
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - date
                - bodyhrs
                - painthrs
                - id
                - jobid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
        table:
          name: scoreboard
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - date
                - bodyhrs
                - painthrs
                - id
                - jobid
              filter:
                job:
                  bodyshop:
                    associations:
                      _and:
                        - user:
                            authid:
                              _eq: X-Hasura-User-Id
                        - active:
                            _eq: true
            role: user
      - delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - actualhrs
                - bodyshopid
                - ciecacode
                - clockoff
                - clockon
                - cost_center
                - created_at
                - date
                - employeeid
                - id
                - jobid
                - memo
                - productivehrs
                - rate
                - updated_at
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
          - name: employee
            using:
              foreign_key_constraint_on: employeeid
          - name: job
            using:
              foreign_key_constraint_on: jobid
        select_permissions:
          - permission:
              columns:
                - actualhrs
                - bodyshopid
                - ciecacode
                - clockoff
                - clockon
                - cost_center
                - created_at
                - date
                - employeeid
                - id
                - jobid
                - memo
                - productivehrs
                - rate
                - updated_at
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: timetickets
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - actualhrs
                - bodyshopid
                - ciecacode
                - clockoff
                - clockon
                - cost_center
                - created_at
                - date
                - employeeid
                - id
                - jobid
                - memo
                - productivehrs
                - rate
                - updated_at
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - array_relationships:
          - name: associations
            using:
              foreign_key_constraint_on:
                column: useremail
                table:
                  name: associations
                  schema: public
          - name: audit_trails
            using:
              foreign_key_constraint_on:
                column: useremail
                table:
                  name: audit_trail
                  schema: public
          - name: exportlogs
            using:
              foreign_key_constraint_on:
                column: useremail
                table:
                  name: exportlog
                  schema: public
          - name: messages
            using:
              foreign_key_constraint_on:
                column: userid
                table:
                  name: messages
                  schema: public
          - name: notes
            using:
              foreign_key_constraint_on:
                column: created_by
                table:
                  name: notes
                  schema: public
          - name: parts_orders
            using:
              foreign_key_constraint_on:
                column: user_email
                table:
                  name: parts_orders
                  schema: public
        insert_permissions:
          - permission:
              check: { }
              columns:
                - authid
                - email
                - fcmtokens
                - validemail
            role: user
        object_relationships:
          - name: employee
            using:
              manual_configuration:
                column_mapping:
                  email: user_email
                remote_table:
                  name: employees
                  schema: public
        select_permissions:
          - permission:
              columns:
                - authid
                - created_at
                - dashboardlayout
                - email
                - fcmtokens
                - updated_at
                - validemail
              filter:
                associations:
                  bodyshop:
                    associations:
                      active:
                        _eq: true
            role: user
        table:
          name: users
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - authid
                - dashboardlayout
                - email
                - fcmtokens
              filter:
                authid:
                  _eq: X-Hasura-User-Id
            role: user
      - array_relationships:
          - name: jobs
            using:
              foreign_key_constraint_on:
                column: vehicleid
                table:
                  name: jobs
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - id
                - created_at
                - updated_at
                - v_vin
                - v_make_desc
                - v_model_desc
                - v_model_yr
                - v_color
                - v_paint_codes
                - v_bstyle
                - v_engine
                - shopid
                - db_v_code
                - plate_no
                - plate_st
                - v_cond
                - v_prod_dt
                - v_type
                - v_trimcode
                - trim_color
                - v_mldgcode
                - v_options
                - v_tone
                - v_stage
                - v_makecode
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: shopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - v_paint_codes
                - db_v_code
                - plate_no
                - plate_st
                - trim_color
                - v_bstyle
                - v_color
                - v_cond
                - v_engine
                - v_makecode
                - v_make_desc
                - v_mldgcode
                - v_model_desc
                - v_model_yr
                - v_options
                - v_prod_dt
                - v_stage
                - v_tone
                - v_trimcode
                - v_type
                - v_vin
                - created_at
                - updated_at
                - id
                - shopid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: vehicles
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - v_paint_codes
                - db_v_code
                - plate_no
                - plate_st
                - trim_color
                - v_bstyle
                - v_color
                - v_cond
                - v_engine
                - v_makecode
                - v_make_desc
                - v_mldgcode
                - v_model_desc
                - v_model_yr
                - v_options
                - v_prod_dt
                - v_stage
                - v_tone
                - v_trimcode
                - v_type
                - v_vin
                - created_at
                - updated_at
                - id
                - shopid
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
      - array_relationships:
          - name: invoices
            using:
              foreign_key_constraint_on:
                column: vendorid
                table:
                  name: bills
                  schema: public
          - name: parts_orders
            using:
              foreign_key_constraint_on:
                column: vendorid
                table:
                  name: parts_orders
                  schema: public
        delete_permissions:
          - permission:
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        insert_permissions:
          - permission:
              check:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
              columns:
                - active
                - bodyshopid
                - city
                - cost_center
                - country
                - created_at
                - discount
                - due_date
                - email
                - favorite
                - id
                - name
                - phone
                - state
                - street1
                - street2
                - updated_at
                - zip
            role: user
        object_relationships:
          - name: bodyshop
            using:
              foreign_key_constraint_on: bodyshopid
        select_permissions:
          - permission:
              allow_aggregations: true
              columns:
                - active
                - bodyshopid
                - city
                - cost_center
                - country
                - created_at
                - discount
                - due_date
                - email
                - favorite
                - id
                - name
                - phone
                - state
                - street1
                - street2
                - updated_at
                - zip
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
        table:
          name: vendors
          schema: public
        update_permissions:
          - permission:
              check: null
              columns:
                - active
                - bodyshopid
                - city
                - cost_center
                - country
                - created_at
                - discount
                - due_date
                - email
                - favorite
                - id
                - name
                - phone
                - state
                - street1
                - street2
                - updated_at
                - zip
              filter:
                bodyshop:
                  associations:
                    _and:
                      - user:
                          authid:
                            _eq: X-Hasura-User-Id
                      - active:
                          _eq: true
            role: user
    version: 2
  type: replace_metadata
